@echo off

rem	Batch test file for the dvbsenco program

rem Setting variables

set ENCO=dvbsenco
set TESTFILE=test_long.m2v
set MP2GEN=mpeg2gen
set TSTLEN=1200000
set SPEEDFILE=test_dvbse_%OSVER%_%PROCESSOR_ARCHITECTURE%.txt
set TEMPFILE=%RANDOM%_dvbsenco_file.txt
set CHECKWPP=wppcheck
rem set clockmhz to 0 to autosense processor speed
set CLOCKMHZ=0

set INTERP=2 4 8
set RATES=1/2 2/3 3/4 5/6 7/8

echo. 
echo Speed test for %ENCO%
echo.

if not exist %TESTFILE% (
	echo Creating test file
	.\%MP2GEN% -z %TSTLEN% -t rand -o %TESTFILE%
)

if exist %SPEEDFILE% del %SPEEDFILE%

for %%i in (%INTERP%) do (
	for %%r in (%RATES%) do (
		echo %%i %%r
		.\%ENCO% -i %TESTFILE% -I %%i -p %%r -v 1 2> %TEMPFILE%
		type %TEMPFILE%
		type %TEMPFILE% >> %SPEEDFILE%
	)
)

if exist %TEMPFILE% del %TEMPFILE%

echo Test done

.\%CHECKWPP% %SPEEDFILE% %CLOCKMHZ%

